import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:signage_app/const/colors.dart';
import 'package:signage_app/const/dimens.dart';
import 'package:signage_app/provider.dart';

class DisplayTime extends ConsumerWidget {
  const DisplayTime(
      {super.key, this.size = const Size(double.infinity, double.infinity)});

  final Size size;

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final Size widgetSize = MediaQuery.of(context).size;
    final timeStyle = TextStyle(
        fontSize: widgetSize.height * timeFontSizeRatio,
        color: dateAndTimeTextColor);
    final invisibleTimeStyle = TextStyle(
        fontSize: widgetSize.height * timeFontSizeRatio,
        color: timeBackgroundColor);
    final isShowColon = ref.watch(isShowColonProvider);
    final presentDateTime = ref.watch(presentDateTimeProvider);

    return Container(
      alignment: Alignment.center,
      width: size.width,
      height: size.height,
      color: timeBackgroundColor,
      child: Text.rich(
        TextSpan(
          text: '${presentDateTime.hour}',
          style: timeStyle,
          children: [
            TextSpan(
                text: ':',
                style: isShowColon ? timeStyle : invisibleTimeStyle),
            TextSpan(
                text: presentDateTime.minute.toString().padLeft(2, '0'),
                style: timeStyle),
          ],
        ),
      ),
    );
  }
}
