import 'package:flutter/material.dart';
import 'package:signage_app/const/colors.dart';
import 'package:signage_app/const/dimens.dart';
import 'package:signage_app/widget/weather_image.dart';
import 'package:signage_app/widget/camera.dart';

class Side extends StatelessWidget {
  const Side(
      {super.key, this.size = const Size(double.infinity, double.infinity)});

  final Size size;

  @override
  Widget build(BuildContext context) {
    final Size widgetSize = MediaQuery.of(context).size;
    return Container(
      height: size.height,
      width: size.width,
      color: sideBackgroundColor,
        child: Column(
          children: [
          Padding(
            padding: EdgeInsets.only(
              left: widgetSize.width * sideWidthPaddingRatio / 2,
              top: widgetSize.height * sideHeightPaddingRatio / 2,
              right: widgetSize.width * sideWidthPaddingRatio / 2,
              bottom: widgetSize.height * sideHeightPaddingRatio / 2,
            ),
            child: Camera(
              size:
                  Size(double.infinity, widgetSize.height * cameraHeightRatio),
            ),
          ),
          const Expanded(child: WeatherImage()),
        ],
      ),
    );
  }
}
